Package org.eclipse.emf.cdo.security.impl

## Interface ResourceFilterImpl.Matcher

- All Known Implementing Classes:
    `ResourceFilterImpl.AntMatcher`, `ResourceFilterImpl.ExactMatcher`, `ResourceFilterImpl.PathMatcher`, `ResourceFilterImpl.RegexMatcher`, `ResourceFilterImpl.TreeMatcher`
  Enclosing class:
    ResourceFilterImpl

      public static interface ResourceFilterImpl.Matcher

  Matches the path of a `resource node`.
  Author:
    Eike Stepper

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `PatternStyle` | `getParentPatternStyle()` |
    `boolean` | `matches​(java.lang.String revisionPath)` |

- - ### Method Detail

    - #### matches

          boolean matches​(java.lang.String revisionPath)

    - #### getParentPatternStyle

          PatternStyle getParentPatternStyle()